Index: trunk/LMDZ.GENERIC/deftank/edu/INIT/DATAGENERIC
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/INIT/DATAGENERIC	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/INIT/DATAGENERIC	(revision 1322)
@@ -0,0 +1,1 @@
+link ../RUN/DATAGENERIC
Index: trunk/LMDZ.GENERIC/deftank/edu/INIT/callphys.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/INIT/callphys.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/INIT/callphys.def	(revision 1322)
@@ -0,0 +1,1 @@
+link ../RUN/callphys.def
Index: trunk/LMDZ.GENERIC/deftank/edu/INIT/gases.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/INIT/gases.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/INIT/gases.def	(revision 1322)
@@ -0,0 +1,1 @@
+link ../RUN/gases.def
Index: trunk/LMDZ.GENERIC/deftank/edu/INIT/newstart.e
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/INIT/newstart.e	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/INIT/newstart.e	(revision 1322)
@@ -0,0 +1,1 @@
+link ../MODELES/LMDZ.GENERIC/newstart.e
Index: trunk/LMDZ.GENERIC/deftank/edu/INIT/notes
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/INIT/notes	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/INIT/notes	(revision 1322)
@@ -0,0 +1,29 @@
+makelmdz -b 20x30 -d 24x24x24 -s 1 -p generic -arch gfortran gcm
+
+(après un full)
+
+
+A REGLER IL FAUT REGLER DEUX FOIS LA PRESSION...
+
+newstart : le premier changement de pression est important pour presnivs
+mais si on repond n la valeur prise pour presnivs et ps est celle de flat
+
+donc on repond n en premier
+le seul souci est si l'on souhaite regler pa
+mais il est regle très haut par defaut deja donc pure pressure levels (ok pour aquaplanete)
+
+si y en premier.... probleme dans ps....
+
+!!!!! attention !!!!!
+<-- Pression de surface (Pa) 1. pour les niveaux
+<-- Pression de surface (Pa) 2. pour la topo
+
+
+makegcm_gfortran_local -d 24x24x24 -debug newstart
+
+
+0.07                 !! <-- Albedo (sol nu, sans dimension) 0.3 0.07
+18000.               !! <-- Inertie thermique (J/m-2/K-1/s-0.5) 2000. 18000.
+
+
+1/3 2000 + 2/3 18000 ~ 12000
Index: trunk/LMDZ.GENERIC/deftank/edu/INIT/planet_start
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/INIT/planet_start	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/INIT/planet_start	(revision 1322)
@@ -0,0 +1,37 @@
+0                    !! *
+y                    !! *
+1.e5                 !! <-- Pression de surface (Pa)
+1.e20                !! *
+rad                  !! *
+6.3e6                !! <-- Rayon planetaire (m)
+g                    !! *  
+9.81                 !! <-- Acceleration gravite (m/s2)
+daysec               !! *
+86400                !! <-- Duree du jour (s)
+omeg                 !! *
+-9999.               !! *
+year_day             !! *
+365                  !! <-- Duree d'une annee (jours)
+periastr             !! *
+1.0                  !! <-- Distance mini etoile-planete (UA)
+apoastr              !! *
+1.0                  !! <-- Distance maxi etoile-planete (UA)
+peri_day             !! *
+0.                   !! <-- Date periastre (jours depuis printemps)
+obliquit             !! *
+25.0                 !! <-- Obliquite (degres)
+                  
+none              
+0.3                  !! <-- Albedo (sol nu, sans dimension)
+12000.               !! <-- Inertie thermique (J/m-2/K-1/s-0.5)
+6695                 !! *
+flat                 !! *
+y                    !! *
+-9999.               !! *
+isotherm             !! *
+300.                 !! <-- Temperature initiale (K)
+emis                 !! *
+0.9                  !! <-- Emissivite de la surface
+slab_ocean_0         !! *
+therm_ini_s          !! *
+
Index: trunk/LMDZ.GENERIC/deftank/edu/INIT/run.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/INIT/run.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/INIT/run.def	(revision 1322)
@@ -0,0 +1,1 @@
+link ../RUN/run.def
Index: trunk/LMDZ.GENERIC/deftank/edu/INIT/start_archive.nc
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/INIT/start_archive.nc	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/INIT/start_archive.nc	(revision 1322)
@@ -0,0 +1,1 @@
+link ../MODELES/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/start_archive.nc
Index: trunk/LMDZ.GENERIC/deftank/edu/INIT/z2sig.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/INIT/z2sig.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/INIT/z2sig.def	(revision 1322)
@@ -0,0 +1,1 @@
+link ../RUN/z2sig.def
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/callphys.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/callphys.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/callphys.def	(revision 1322)
@@ -0,0 +1,1 @@
+link def_benj_earth/callphys.def
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/autospinup
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/autospinup	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/autospinup	(revision 1322)
@@ -0,0 +1,21 @@
+#makegcmSVNgenerikifort -d 64x48x20 -t 2 -b 38x36 -p std gcm
+# @ job_name=gcm_3D
+# @ output = $(job_name).$(jobid)
+# @ error = $(output)
+# @ job_type = serial
+# @ class = D
+# @ queue
+
+cp -f run_spinup.def run.def
+newstart.e < start_earth
+startrestart
+
+echo "Starting GCM spinup year..."
+gcm.e > lruns1
+startrestart0
+
+echo "Running for multiple years to reach equilibrium."
+cp -f run_normal.def run.def
+
+run0
+
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/callphys.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/callphys.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/callphys.def	(revision 1322)
@@ -0,0 +1,200 @@
+## Orbit / general options
+## ~~~~~~~~~~~~~~~~~~~~~~~
+# Run with or without tracer transport ?
+tracer    = .true.
+# Diurnal cycle ?  if diurnal=false, diurnally averaged solar heating
+diurnal   = .true.
+# Seasonal cycle ? if season=false, Ls stays constant, to value set in "start"
+season    = .true. 
+# Tidally resonant orbit ? must have diurnal=false, correct rotation rate in newstart
+tlocked   = .false.
+# Tidal resonance ratio ? ratio T_orbit to T_rotation
+nres      = 1
+# Write some more output on the screen ?
+lwrite    = .true.
+# Save statistics in file "stats.nc" ?
+callstats = .false.
+# Test energy conservation of model physics ?
+enertest  = .false.
+# Check to see if cpp, mugaz values used match gas mixture defined in gases.def (recommended) ?
+check_cpp_match = .false. 
+
+## Directory where external input files are
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+datadir = ./DATAGENERIC
+
+## Radiative transfer options
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call radiative transfer?
+callrad    = .true.
+# the rad. transfer is computed every "iradia" physical timestep
+iradia     = 3
+iradia     = 1
+# Use blackbody for stellar spectrum ?
+stelbbody    = .false.
+# Stellar blackbody temperature ?
+stelTbb      = 2000.000
+# call multilayer correlated-k radiative transfer ?
+corrk      = .true.
+# Include continuum absorption in radiative transfer (note CO2 is treated separately) ?
+continuum  = .true.
+# folder in which correlated-k data is stored ?
+ corrkdir    = earth
+# corrkdir   = N2CO2poor_H2Ovar
+# corrkdir   = megaCO2
+# corrkdir   = null
+# call visible gaseous absorption in radiative transfer ?
+callgasvis = .true.
+# Include Rayleigh scattering in the visible ?
+rayleigh   = .true.
+# Uniform absorption coefficient in radiative transfer?
+graybody   = .false.
+# Constant absorption coefficient in visible 
+#      (in m^2/kg; only if graybody=true):
+#      tau_surf= kappa*P/g
+kappa_VI = 5.e-7
+# Constant absorption coefficient in IR
+#      (in m^2/kg; only if graybody=true):
+kappa_IR = 1.e-5 
+# Use Newtonian cooling in place of radiative transfer ?
+newtonian    = .false.
+# Radiative timescale for Newtonian cooling ? [only if newtonian = T]
+tau_relax    = 30.00000
+# Test physics timescale in 1D ?
+testradtimes = .false.
+# Characteristic planetary equilibrium (black body) temperature
+# This is used only in the aerosol radiative transfer setup. (see aerave.F)
+tplanet    = 300.
+# Output spectral OLR in 1D/3D?
+specOLR    = .false.
+# Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
+meanOLR    = .false.
+# Variable gas species: Radiatively active ?
+varactive  = .true.
+# Variable gas species: Fixed vertical distribution ?
+#   (not to be used in time integration mode)
+varfixed   = .false.
+# Variable gas species: Saturation percentage value at ground ?
+satval     = 0.0
+# Force specific heat capacity and molecular mass values
+force_cpp      = .true.
+# Specific heat capacity in J K-1 kg-1 [only used if force_cpp = T]
+cpp            = 1039.918
+# Molecular mass in g mol-1 [only used if force_cpp = T]
+mugaz          = 28.01571
+
+## Star type
+## ~~~~~~~~~
+startype = 1
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# The choices are:
+#
+#	startype = 1		Sol        (G2V-class main sequence)
+#	startype = 2		Ad Leo     (M-class, synthetic)
+#       startype = 3            GJ644
+#       startype = 4            HD128167
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Stellar flux at 1 AU. Examples:
+# 1366.0 W m-2		Sol today
+# 1024.5 W m-2		Sol today x 0.75 = weak early Sun
+# 18.462 W m-2		The feeble Gl581
+# 19.960 W m-2		Gl581 with e=0.38 orbital average
+Fat1AU = 1366.0
+
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Gravitational sedimentation of tracers (just H2O ice for now) ?
+sedimentation = .false.
+
+## Other physics options
+## ~~~~~~~~~~~~~~~~~~~~~
+# call turbulent vertical diffusion ?
+calldifv = .true. 
+# use turbdiff instead of vdifc ?
+UseTurbDiff = .true.
+# call convective adjustment ?
+calladj  = .true.
+# call thermal conduction in the soil ?
+callsoil = .true.
+# Internal heat flux (matters only if callsoil=F)
+intheat = 2.6
+# Remove lower boundary (e.g. for gas giant sims)
+nosurf = .false.
+
+#########################################################################
+## extra non-standard definitions for Earth
+#########################################################################
+ 
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Fixed aerosol distributions?
+aerofixed     = .false.
+# Varying H2O cloud fraction?
+CLFvarying    = .false.
+# H2O cloud fraction if fixed?
+CLFfixval     = 0.0
+# fixed radii for cloud particles?
+radfixed      = .false.
+# number mixing ratio of CO2 ice particles
+Nmix_co2      = 100000.
+# number mixing ratio of water particles (for rafixed=.false.)
+Nmix_h2o      = 1.e7
+# number mixing ratio of water ice particles (for rafixed=.false.)
+Nmix_h2o_ice  = 5.e5
+# radius of H2O water particles (for rafixed=.true.):
+rad_h2o       = 10.e-6
+# radius of H2O ice particles (for rafixed=.true.):
+rad_h2o_ice   = 35.e-6
+# atm mass update due to tracer evaporation/condensation?
+mass_redistrib = .false.
+# basic dust opacity
+dusttau       = 0.0
+# water cloud pressure level (norm. by psurf)
+cloudlvl      = 0.0
+
+
+
+
+
+# To not call abort when temperature is outside boundaries:
+strictboundcorrk = .false.
+
+
+## Water options 
+## ~~~~~~~~~~~~~
+# Model water cycle
+water         = .false.
+# Model water cloud formation
+watercond     = .false.
+# Model water precipitation (including coagulation etc.)
+waterrain     = .false.
+# Precipitation scheme 
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# The choices are:
+#       rainscheme = 1          Emmanuel
+#	rainscheme = 2		Boucher 95
+#	rainscheme = 3		Sundquist 78
+#       rainscheme = 4          q^3
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+rainscheme     = 2
+# WATER: Precipitation threshold (simple scheme only) ?
+rainthreshold = 0.0005
+# Include hydrology ?
+hydrology     = .false.
+# H2O snow (and ice) albedo for land ?
+albedosnowland    = 0.6
+# H2O snow (and ice) albedo for sea ?
+albedosnowsea    = 0.65
+# Maximum sea ice thickness ?
+maxicethick   = 0.5
+# Freezing point of seawater (degrees C) ?
+Tsaldiff      = 0.0
+# Evolve surface water sources ?
+sourceevol    = .false.
+
+## CO2 options 
+## ~~~~~~~~~~~
+# call CO2 condensation ?
+co2cond       = .false.
+# Set initial temperature profile to 1 K above CO2 condensation everywhere?
+nearco2cond   = .false.
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/callphys.def.complet
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/callphys.def.complet	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/callphys.def.complet	(revision 1322)
@@ -0,0 +1,206 @@
+## Orbit / general options
+## ~~~~~~~~~~~~~~~~~~~~~~~
+# Run with or without tracer transport ?
+tracer    = .true.
+# Diurnal cycle ?  if diurnal=false, diurnally averaged solar heating
+diurnal   = .true.
+# Seasonal cycle ? if season=false, Ls stays constant, to value set in "start"
+season    = .true. 
+# Tidally resonant orbit ? must have diurnal=false, correct rotation rate in newstart
+tlocked   = .false.
+# Tidal resonance ratio ? ratio T_orbit to T_rotation
+nres      = 1
+# Write some more output on the screen ?
+lwrite    = .false.
+# Save statistics in file "stats.nc" ?
+callstats = .false.
+# Test energy conservation of model physics ?
+enertest  = .true.
+# Check to see if cpp, mugaz values used match gas mixture defined in gases.def (recommended) ?
+check_cpp_match = .false. 
+
+## Directory where external input files are
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+datadir = /home/aymeric/Science/MODELES/LMDZ.COMMON/DATAGENERIC/
+
+## Radiative transfer options
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call radiative transfer?
+callrad    = .true.
+# the rad. transfer is computed every "iradia" physical timestep
+iradia     = 3
+# Use blackbody for stellar spectrum ?
+stelbbody    = .false.
+# Stellar blackbody temperature ?
+stelTbb      = 2000.000
+# call multilayer correlated-k radiative transfer ?
+corrk      = .true.
+# Include continuum absorption in radiative transfer (note CO2 is treated separately) ?
+continuum  = .true.
+# folder in which correlated-k data is stored ?
+ corrkdir    = earth
+# corrkdir   = N2CO2poor_H2Ovar
+# corrkdir   = megaCO2
+# corrkdir   = null
+# call visible gaseous absorption in radiative transfer ?
+callgasvis = .true.
+# Include Rayleigh scattering in the visible ?
+rayleigh   = .true.
+# Uniform absorption coefficient in radiative transfer?
+graybody   = .false.
+# Constant absorption coefficient in visible 
+#      (in m^2/kg; only if graybody=true):
+#      tau_surf= kappa*P/g
+kappa_VI = 5.e-7
+# Constant absorption coefficient in IR
+#      (in m^2/kg; only if graybody=true):
+kappa_IR = 1.e-5 
+# Use Newtonian cooling in place of radiative transfer ?
+newtonian    = .false.
+# Radiative timescale for Newtonian cooling ? [only if newtonian = T]
+tau_relax    = 30.00000
+# Test physics timescale in 1D ?
+testradtimes = .false.
+# Characteristic planetary equilibrium (black body) temperature
+# This is used only in the aerosol radiative transfer setup. (see aerave.F)
+tplanet    = 300.
+# Output spectral OLR in 1D/3D?
+specOLR    = .false.
+# Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
+meanOLR    = .false.
+# Variable gas species: Radiatively active ?
+varactive  = .true.
+# Variable gas species: Fixed vertical distribution ?
+#   (not to be used in time integration mode)
+varfixed   = .false.
+# Variable gas species: Saturation percentage value at ground ?
+satval     = 0.0
+# Force specific heat capacity and molecular mass values
+force_cpp      = .true.
+# Specific heat capacity in J K-1 kg-1 [only used if force_cpp = T]
+cpp            = 1039.918
+# Molecular mass in g mol-1 [only used if force_cpp = T]
+mugaz          = 28.01571
+
+## Star type
+## ~~~~~~~~~
+startype = 1
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# The choices are:
+#
+#	startype = 1		Sol        (G2V-class main sequence)
+#	startype = 2		Ad Leo     (M-class, synthetic)
+#       startype = 3            GJ644
+#       startype = 4            HD128167
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Stellar flux at 1 AU. Examples:
+# 1366.0 W m-2		Sol today
+# 1024.5 W m-2		Sol today x 0.75 = weak early Sun
+# 18.462 W m-2		The feeble Gl581
+# 19.960 W m-2		Gl581 with e=0.38 orbital average
+Fat1AU = 1366.0
+
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Gravitational sedimentation of tracers (just H2O ice for now) ?
+sedimentation = .false.
+
+## Other physics options
+## ~~~~~~~~~~~~~~~~~~~~~
+# call turbulent vertical diffusion ?
+calldifv = .true. 
+# use turbdiff instead of vdifc ?
+UseTurbDiff = .true.
+# call convective adjustment ?
+calladj  = .true.
+# call thermal conduction in the soil ?
+callsoil = .true.
+# Internal heat flux (matters only if callsoil=F)
+intheat = 2.6
+# Remove lower boundary (e.g. for gas giant sims)
+nosurf = .false.
+
+#########################################################################
+## extra non-standard definitions for Earth
+#########################################################################
+ 
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Fixed aerosol distributions?
+aerofixed     = .false.
+# Varying H2O cloud fraction?
+CLFvarying    = .true.
+# H2O cloud fraction if fixed?
+CLFfixval     = 0.0
+# fixed radii for cloud particles?
+radfixed      = .true.
+# number mixing ratio of CO2 ice particles
+Nmix_co2      = 1.e5
+# number mixing ratio of water particles (for rafixed=.false.)
+Nmix_h2o      = 2.5e7
+# number mixing ratio of water ice particles (for rafixed=.false.)
+Nmix_h2o_ice  = 1.e6
+# radius of H2O water particles (for rafixed=.true.):
+rad_h2o       = 12.e-6
+# radius of H2O ice particles (for rafixed=.true.):
+rad_h2o_ice   = 35.e-6
+# basic dust opacity
+dusttau       = 0.0
+# water cloud pressure level (norm. by psurf)
+cloudlvl      = 0.0
+
+
+
+
+
+# To not call abort when temperature is outside boundaries:
+strictboundcorrk = .false.
+
+
+## Water options 
+## ~~~~~~~~~~~~~
+# Model water cycle
+water         = .true.
+# Model water cloud formation
+watercond     = .true.
+# Model water precipitation (including coagulation etc.)
+waterrain     = .true.
+# Precipitation scheme 
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# The choices are:
+#       rainscheme = 1          Emmanuel
+#	rainscheme = 2		Boucher 95
+#	rainscheme = 3		Sundquist 78
+#       rainscheme = 4          q^3
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+rainscheme     = 2
+# WATER: Precipitation threshold (simple scheme only) ?
+rainthreshold = 0.0005
+# Include hydrology ?
+hydrology     = .true.
+# H2O snow (and ice) albedo for land ?
+albedosnowland    = 0.6
+# H2O snow (and ice) albedo for sea ?
+albedosnowsea    = 0.65
+# Maximum sea ice thickness ?
+maxicethick   = 0.5
+# Freezing point of seawater (degrees C) ?
+Tsaldiff      = 0.0
+# Evolve surface water sources ?
+sourceevol    = .false.
+
+## Ocean options 
+## ~~~~~~~~~~~~~
+# Model slab-ocean
+ok_slab_ocean = .true.
+# sea-ice
+ok_slab_sic   = .true.
+# heat transport
+ok_slab_heat_transp   = .true.
+
+## CO2 options 
+## ~~~~~~~~~~~
+# call CO2 condensation ?
+co2cond       = .false.
+# Set initial temperature profile to 1 K above CO2 condensation everywhere?
+nearco2cond   = .false.
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/gases.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/gases.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/gases.def	(revision 1322)
@@ -0,0 +1,13 @@
+# gases.def
+3
+N2_
+CO2
+H2O
+0.999611900E+00
+0.375999962E-03
+-1
+
+# First line is number of gases
+# Followed by gas names (always 3 characters)
+# and then mixing ratios.
+# mixing ratio -1 means the gas is variable.
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/gases.def.cH4
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/gases.def.cH4	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/gases.def.cH4	(revision 1322)
@@ -0,0 +1,15 @@
+# gases
+4
+N2_
+CO2
+CH4
+H2O
+0.999611900E+00
+0.375999962E-03
+0.174999983E-05
+-1
+
+# First line is number of gases
+# Followed by gas names (always 3 characters)
+# and then mixing ratios.
+# mixing ratio -1 means the gas is variable.
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/gases.def.varH2O
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/gases.def.varH2O	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/gases.def.varH2O	(revision 1322)
@@ -0,0 +1,13 @@
+# gases
+3
+N2_
+CO2
+H2O
+0.999611900E+00
+0.375999962E-03
+-1
+
+# First line is number of gases
+# Followed by gas names (always 3 characters)
+# and then mixing ratios.
+# mixing ratio -1 means the gas is variable.
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/run.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/run.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/run.def	(revision 1322)
@@ -0,0 +1,123 @@
+
+planet_type = generic
+
+#
+#----------------------------------------------------------------------- 
+#Parametres de controle du run:                                          
+#------------------------------                                          
+
+# Nombre de jours d'integration                                         
+     nday=360
+     nday=50
+
+# nombre de pas par jour (multiple de iperiod) ( ici pour dt = 1 min )      
+ day_step = 360
+ day_step = 720
+
+# periode pour le pas Matsuno (en pas)                                  
+  iperiod=5
+  iperiod=1
+
+# periode de sortie des variables de controle (en pas)                  
+  iconser=120
+
+# periode d'ecriture du fichier histoire (en jour)                      
+    iecri=1000
+
+# periode de stockage fichier histmoy (en jour)                         
+ periodav=10.
+
+# periode de la dissipation (en pas)                                    
+  idissip=5
+
+# choix de l'operateur de dissipation (star ou  non star )              
+ lstardis=.true.
+
+# avec ou sans coordonnee hybrides
+ hybrid=.true.
+
+# nombre d'iterations de l'operateur de dissipation   gradiv            
+nitergdiv=1
+
+# nombre d'iterations de l'operateur de dissipation  nxgradrot          
+nitergrot=2
+
+# nombre d'iterations de l'operateur de dissipation  divgrad            
+   niterh=2
+
+# temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+ tetagdiv=4000.
+ tetagdiv=5200.
+
+# temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+ tetagrot=4000.
+ tetagrot=7400.
+
+# temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+ tetatemp=4000.
+ tetagrot=7400.
+
+# coefficient pour gamdissip                                            
+  coefdis=0.
+
+# choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+  purmats=.false.
+
+# avec ou sans physique                                                 
+   physic=.true.
+
+# periode de la physique (en pas)                                       
+  iphysiq=20
+
+# choix d'une grille reguliere                                          
+  grireg=.true.
+
+# frequence (en pas) de l'ecriture du fichier diagfi               
+ ecritphy=45
+ ecritphy=72
+
+# longitude en degres du centre du zoom                                 
+   clon=0.
+
+# latitude en degres du centre du zoom                                  
+   clat=0.
+
+# facteur de grossissement du zoom,selon longitude                      
+  grossismx=1.
+
+# facteur de grossissement du zoom ,selon latitude                      
+ grossismy=1.
+
+#  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+  fxyhypb=.false.
+
+# extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+   dzoomx= 0.
+
+# extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+   dzoomy=0.
+
+#  raideur du zoom en  X
+    taux=2.
+
+#  raideur du zoom en  Y
+    tauy=2.
+
+#  Fonction  f(y) avec y = Sin(latit.) si = .TRUE. ,  Sinon  y = latit.
+  ysinus= .false.
+
+# Avec sponge layer
+  callsponge  = .true.
+ 
+# Sponge:  mode0(u=v=0), mode1(u=umoy,v=0), mode2(u=umoy,v=vmoy)
+  mode_sponge= 2
+
+# Sponge:  hauteur de sponge (km)
+  hsponge= 50
+
+# Sponge:  tetasponge (secondes)
+  tetasponge = 50000
+
+# some definitions for the physics, in file 'callphys.def'
+INCLUDEDEF=callphys.def
+INCLUDEDEF=etu.def
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/traceur.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/traceur.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/traceur.def	(revision 1322)
@@ -0,0 +1,3 @@
+2
+h2o_ice
+h2o_vap
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/z2sig.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/z2sig.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/def_benj_earth/z2sig.def	(revision 1322)
@@ -0,0 +1,29 @@
+   8.0000000e+00
+   4.0000000e-03
+   1.8000000e-02
+   4.0000000e-02
+   1.0000000e-01
+   2.2820000e-01
+   4.6040000e-01
+   9.0700000e-01
+   1.7363000e+00
+   3.1904000e+00
+   5.5401000e+00
+   9.0314772e+00
+   1.2522854e+01
+   1.6014232e+01
+   1.9505609e+01
+   2.2996986e+01
+   2.6488363e+01
+   2.9979741e+01
+   3.3471118e+01
+   3.6962495e+01
+   4.0453872e+01
+   45
+   50
+   55
+   60
+   65
+   70
+   80
+   90
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/callphys.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/callphys.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/callphys.def	(revision 1322)
@@ -0,0 +1,178 @@
+## Orbit / general options
+## ~~~~~~~~~~~~~~~~~~~~~~~
+# Run with or without tracer transport ?
+tracer    = .false.
+# Diurnal cycle ?  if diurnal=false, diurnally averaged solar heating
+diurnal   = .true.
+# Seasonal cycle ? if season=false, Ls stays constant, to value set in "start"
+season    = .true. 
+# Tidally resonant orbit ? must have diurnal=false, correct rotation rate in newstart
+tlocked   = .false.
+# Tidal resonance ratio ? ratio T_orbit to T_rotation
+nres      = 1
+# Write some more output on the screen ?
+lwrite    = .false.
+# Save statistics in file "stats.nc" ?
+callstats = .false.
+# Test energy conservation of model physics ?
+enertest  = .false.
+# Check to see if cpp, mugaz values used match gas mixture defined in gases.def (recommended) ?
+check_cpp_match = .false. 
+
+## Directory where external input files are
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+datadir = /home/aymeric/Science/MODELES/LMDZ.COMMON/DATAGENERIC/
+
+## Radiative transfer options
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call radiative transfer?
+callrad    = .true.
+# the rad. transfer is computed every "iradia" physical timestep
+iradia     = 10
+# call multilayer correlated-k radiative transfer ?
+corrk      = .true.
+# Include continuum absorption in radiative transfer (note CO2 is treated separately) ?
+continuum  = .true.
+# folder in which correlated-k data is stored ?
+corrkdir   = CH4_C2H6_C2H2_HITRAN2012_Karko
+# call visible gaseous absorption in radiative transfer ?
+callgasvis = .true.
+# Include Rayleigh scattering in the visible ?
+rayleigh   = .true.
+# Uniform absorption coefficient in radiative transfer?
+graybody   = .false.
+# Characteristic planetary equilibrium (black body) temperature
+# This is used only in the aerosol radiative transfer setup. (see aerave.F)
+tplanet    = 100.
+# Output spectral OLR in 1D/3D?
+specOLR    = .false.
+# Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
+meanOLR    = .false.
+# Variable gas species: Radiatively active ?
+varactive  = .false.
+# Variable gas species: Fixed vertical distribution ?
+#   (not to be used in time integration mode)
+varfixed   = .false.
+# Variable gas species: Saturation percentage value at ground ?
+satval     = 0.0
+# Force specific heat capacity and molecular mass values
+force_cpp      = .false.
+# Specific heat capacity in J K-1 kg-1 [only used if force_cpp = T]
+cpp            = 11500.
+# Molecular mass in g mol-1 [only used if force_cpp = T]
+mugaz          = 2.34
+
+## Star type
+## ~~~~~~~~~
+startype = 1
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# The choices are:
+#
+#	startype = 1		Sol        (G2V-class main sequence)
+#	startype = 2		Ad Leo     (M-class, synthetic)
+#       startype = 3            GJ644
+#       startype = 4            HD128167
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Stellar flux at 1 AU. Examples:
+# 1366.0 W m-2		Sol today
+# 1024.5 W m-2		Sol today x 0.75 = weak early Sun
+# 18.462 W m-2		The feeble Gl581
+# 19.960 W m-2		Gl581 with e=0.38 orbital average
+Fat1AU = 1366.0
+
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Gravitational sedimentation of tracers (just H2O ice for now) ?
+sedimentation = .false.
+
+## Other physics options
+## ~~~~~~~~~~~~~~~~~~~~~
+# call turbulent vertical diffusion ?
+calldifv = .true. 
+# use turbdiff instead of vdifc ?
+UseTurbDiff = .true.
+# call convective adjustment ?
+calladj  = .true.
+# call thermal conduction in the soil ?
+callsoil = .true.
+# Internal heat flux (matters only if callsoil=F)
+intheat = 2.6
+# Remove lower boundary (e.g. for gas giant sims)
+nosurf = .false.
+
+#########################################################################
+## extra non-standard definitions for Earth
+#########################################################################
+ 
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+#Ammonia cloud?
+aeronh3       = .false.
+# Radiatively active CO2 aerosol?
+aeroco2       = .false.
+# Fixed CO2 aerosol distribution?
+aerofixco2    = .false.
+# Radiatively active water aerosol?
+aeroh2o       = .false.
+# Fixed water aerosol distribution?
+aerofixh2o    = .false.
+# basic dust opacity
+dusttau       = 0.0
+# Varying H2O cloud fraction?
+CLFvarying    = .false.
+# H2O cloud fraction if fixed?
+CLFfixval     = 0.0
+# fixed radii for cloud particles?
+radfixed      = .false.
+# number mixing ratio of CO2 ice particles
+Nmix_co2      = 100000.
+# number mixing ratio of water particles (for rafixed=.false.)
+Nmix_h2o      = 1.e7
+# number mixing ratio of water ice particles (for rafixed=.false.)
+Nmix_h2o_ice  = 5.e5
+# radius of H2O water particles (for rafixed=.true.):
+rad_h2o       = 10.e-6
+# radius of H2O ice particles (for rafixed=.true.):
+rad_h2o_ice   = 35.e-6
+# atm mass update due to tracer evaporation/condensation?
+mass_redistrib = .false.
+
+
+# Radiatively active SATURN aerosol?
+aeroback2lay       = .false.
+# Parametrization of SATURN aerosol?
+obs_tau_col_tropo = 8.0
+size_tropo = 2.e-6
+# To not call abort when temperature is outside boundaries:
+strictboundcorrk = .false.
+
+
+## Water options 
+## ~~~~~~~~~~~~~
+# Model water cycle
+water         = .false.
+# Model water cloud formation
+watercond     = .false.
+# Model water precipitation (including coagulation etc.)
+waterrain     = .false.
+# Use simple precipitation scheme?
+precip_scheme = 4
+# multiplicative constant in Boucher 95 precip scheme
+Cboucher      = 1.
+# Include hydrology ?
+hydrology     = .false.
+# H2O snow (and ice) albedo ?
+albedosnow    = 0.6
+# Maximum sea ice thickness ?
+maxicethick   = 10.
+# Freezing point of seawater (degrees C) ?
+Tsaldiff      = 0.0
+# Evolve surface water sources ?
+sourceevol    = .false.
+
+## CO2 options 
+## ~~~~~~~~~~~
+# call CO2 condensation ?
+co2cond       = .false.
+# Set initial temperature profile to 1 K above CO2 condensation everywhere?
+nearco2cond   = .false.
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/etu.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/etu.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/etu.def	(revision 1322)
@@ -0,0 +1,6 @@
+# Stellar flux at 1 AU. Examples:
+# 1366.0 W m-2          Sol today
+# 1024.5 W m-2          Sol today x 0.75 = weak early Sun
+# 18.462 W m-2          The feeble Gl581
+# 19.960 W m-2          Gl581 with e=0.38 orbital average
+Fat1AU = 1366.0
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/gases.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/gases.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/gases.def	(revision 1322)
@@ -0,0 +1,1 @@
+link ../../MODELES/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/gases.def
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/run.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/run.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/run.def	(revision 1322)
@@ -0,0 +1,191 @@
+###########################################################################
+### RUN.DEF ### RUN.DEF ### RUN.DEF ### RUN.DEF ### RUN.DEF ### RUN.DEF ###
+########################################################################### 
+### A MERGED VERSION TO BE USED WITH OLD OR RECENT LMDZ CORE
+### i.e. compiles gcm.def+run.def in LMDZ5 with run.def in old planeto LMDZ
+### (*) indicates same parameters in old and recent LMDZ core
+###########################################################################
+
+###########################################################################
+### NUMERICAL INTEGRATIONS
+###########################################################################
+### nday --> number of days of integration (*)
+### iperiod --> period for the Matsuno step (in dynamical steps) (*)
+### day_step --> number of steps per day (multiple of iperiod) (*)
+### purmats --> temporal integration: Matsuno or Matsuno-leapfrog? (*)
+### grireg --> regular grid or not (*)
+### adjust --> flag to activate load optimization
+### use_filtre_fft --> flag to activate FFT filtering
+###########################################################################
+nday = 100
+iperiod = 5
+day_step = 360
+purmats = .false.
+grireg = .true.
+adjust = n
+use_filtre_fft = n
+
+###########################################################################
+### WHAT RELATES TO PHYSICS
+###########################################################################
+### iphysiq --> period for calling physics (in dynamical steps) (*)
+### ecritphy --> frequency for outputs in diagfi (in dynamical steps) (*)
+### planet_type --> the planet
+### disvert_type --> type of vertical coordinates (2 for planeto)
+### hybrid --> use hybrid coordinates or not? (*)
+### iflag_phys=0 --> no physics (e.g. shallow water)
+### iflag_phys=1 --> physics (e.g. phylmd)
+### iflag_phys=2 --> simple newtonian relaxation
+### physic --> flag with or without physics (*)
+###########################################################################
+iphysiq = 10
+ecritphy = 10
+planet_type = generic
+disvert_type = 2
+hybrid = .false.
+iflag_phys = 1
+physic = .true.
+
+###########################################################################
+### INITIALIZATION and NUDGING
+###########################################################################
+### read_start --> with or without start files ?
+###                (without: initialization by iniacademic)
+### raz_date=0 --> use the date in start file
+### raz_date=1 --> erase the date and start from scratch
+### ok_guide --> flag for nudging towards winds (needs relax.nc)
+### facwind --> time constant for relaxation 
+###             5.e8 medium 1.e7-5.e6 strong 1.e6 very fast
+###########################################################################
+read_start = y 
+raz_date = 1
+ok_guide = n
+facwind = 1.e6
+
+###########################################################################
+### HORIZONTAL DISSIPATION
+###########################################################################
+### dissip_period --> period call to dissipation (in dynamical steps)
+### - must be a multiple of iperiod
+### - 0 means automatic computation 
+### - use idissip instead if old LMDZ core (idissip ignored in LMDZ5)
+### dissip_fac_mid --> enhancement factor in middle atmosphere
+### - set to 1 to prevent dissipation enhancement
+### lstardis --> star or not star dissipation operator (*)
+### nitergdiv --> number of iterations for gradiv operator (*)
+### nitergrot --> number of iterations for nxgradrot operator (*)
+### niterh --> number of iterations for divgrad operator (*)
+### tetagdiv --> dissipation timescale of smallest wvl: u,v (gradiv) (*)
+### tetagrot --> dissipation timescale of smallest wvl: u,v (nxgradrot) (*)
+### tetatemp --> dissipation timescale of smallest wvl: h (divgrad) (*)
+### coefdis --> coefficient for gamdissip (*)
+###########################################################################
+dissip_period = 5
+dissip_fac_mid = 2
+lstardis = .true. 
+nitergdiv = 1
+nitergrot = 2
+niterh = 2
+tetagdiv = 5400.
+tetagrot = 7200.
+tetatemp = 7200.
+
+###########################################################################
+### ENHANCEMENT OF HORIZONTAL DISSIPATION IN UPPERMOST LEVELS 
+###########################################################################
+### - not activated if ok_strato=n
+### - dissip_fac_up --> enhancement factor
+### - dissip_deltaz --> altitude range of transition (km)
+### - dissip_hdelta --> scale height at transition (km)
+### - dissip_pupstart --> pressure at bottom of transition region (Pa) 
+###########################################################################
+ok_strato = n
+dissip_fac_up = 2
+dissip_deltaz = 150.
+dissip_hdelta = 50.
+dissip_pupstart = 50.
+
+###########################################################################
+### DAMPING ("SPONGE") LAYER AT MODEL TOP
+###########################################################################
+### iflag_top_bound=0 for no sponge
+### iflag_top_bound=1 for sponge over 4 topmost layers
+### iflag_top_bound=2 for sponge from top to ~1% of top layer pressure
+### mode_top_bound=0 for no sponge
+### mode_top_bound=1 for u,v --> 0
+### mode_top_bound=2 for u,v --> zonal mean
+### mode_top_bound=3 for u,v,h --> zonal mean
+### tau_top_bound --> damping frequency at last layer
+### e-5 medium / e-4 strong yet reasonable / e-3 very strong
+###########################################################################
+iflag_top_bound = 2
+mode_top_bound = 2
+tau_top_bound = 1.e-4
+
+###########################################################################
+### OUTPUT FROM DYNAMICS
+###########################################################################
+### prt_level --> level of control prints (1-10)
+### ok_dyn_ins --> flag instantaneous outputs (dyn_hist.nc)
+### iecri --> frequency of instantaneous outputs (in dynamical steps)
+### ok_dyn_ave --> flag averaged outputs (dyn_hist_ave.nc)
+### periodav --> period of output of averages in dynamics (in days) 
+### ok_dynzon --> flag outputs dynzon
+### NB: iecri and periodav used to be in old LMDZ core although useless
+### iconser --> frequency of outputs of control variables (in dyn steps)(*)
+###########################################################################
+prt_level = 1
+ok_dyn_ins = n
+iecri = 480
+ok_dyn_ave = n
+periodav = 1
+ok_dynzon = n
+iconser = 120
+
+###########################################################################
+### ZOOMED GRID (same parameters in old and recent LMDZ core)
+###########################################################################
+### clon --> longitude of center of zoom (deg) (*)
+### clat --> latitude of center of zoom (deg) (*)
+### grossismx --> zoom factor in longitude (*)
+### grossismy --> zoom factor in latitude (*)
+### dzoomx --> longitude extent of zoom zone (fraction of total area) (*)
+### dzoomy --> latitude extent of zoom zone (fraction of total area) (*)
+### taux --> "stifness" of zoom in longitude (*)
+### tauy --> "stifness" of zoom in latitude (*)
+### fxyhypb --> f(y) hyperbolic (T) or sinusoidal (F) (*)
+### ysinus --> f(y) = sin(lat) (T) or lat (F) (*)
+###########################################################################
+clon = 0.
+clat = 0.
+grossismx = 1.
+grossismy = 1.
+dzoomx = 0.
+dzoomy = 0.
+taux = 2.
+tauy = 2.
+fxyhypb = .false.
+ysinus = .false.
+
+###########################################################################
+### LEFTOVERS
+### calend=earth_360d ## specific calendar
+### resetvarc=n   ## reinit des variables de controle
+### iflag_trac=0  ## avec ou sans traceurs
+### dayref=10120  ## initial date
+### anneeref=2000 ## year of initial state
+### --- old version of spong layer
+## Avec sponge layer
+#  callsponge  = .true.
+## Sponge:  mode0(u=v=0), mode1(u=umoy,v=0), mode2(u=umoy,v=vmoy)
+#  mode_sponge= 2
+## Sponge:  hauteur de sponge (km)
+#  hsponge= 50
+## Sponge:  tetasponge (secondes)
+#  tetasponge = 50000
+
+###########################################################################
+### INCLUDE OTHER DEF FILES (physics, specific settings, etc...)
+###########################################################################
+INCLUDEDEF=callphys.def
+INCLUDEDEF=etu.def
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/z2sig.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/z2sig.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/def_saturn/z2sig.def	(revision 1322)
@@ -0,0 +1,1 @@
+link ../../MODELES/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/z2sig.def
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/etu.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/etu.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/etu.def	(revision 1322)
@@ -0,0 +1,27 @@
+# Nombre de jours d'integration                
+nday = 730
+
+# Nombre de pas d'integration dynamique par jour
+day_step = 1
+
+# Inclure ou non le cycle diurne
+diurnal = .false.
+
+# Periode de la physique (en pas d'integration dynamique)
+iphysiq = 1
+
+
+
+##########
+# mode simple "gris" (coefficient d'absorption constant selon lambda)
+graybody = .true.
+continuum  = .false.
+corrkdir   = null
+# coefficient d'absorption IR et VIS en m2/kg [--> kappa ~ tau_surf*g/P]
+kappa_IR = 5.e-5
+kappa_VI = 5.e-6
+##########
+
+
+
+
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/gases.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/gases.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/gases.def	(revision 1322)
@@ -0,0 +1,1 @@
+link def_benj_earth/gases.def
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/gcm.e
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/gcm.e	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/gcm.e	(revision 1322)
@@ -0,0 +1,1 @@
+link ../MODELES/LMDZ.COMMON/gcm.e
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/run.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/run.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/run.def	(revision 1322)
@@ -0,0 +1,1 @@
+link def_benj_earth/run.def
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/start.nc
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/start.nc	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/start.nc	(revision 1322)
@@ -0,0 +1,1 @@
+link ../INIT/restart.nc
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/startfi.nc
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/startfi.nc	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/startfi.nc	(revision 1322)
@@ -0,0 +1,1 @@
+link ../INIT/restartfi.nc
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/traceur.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/traceur.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/traceur.def	(revision 1322)
@@ -0,0 +1,1 @@
+link def_benj_earth/traceur.def
Index: trunk/LMDZ.GENERIC/deftank/edu/RUN/z2sig.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/RUN/z2sig.def	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/RUN/z2sig.def	(revision 1322)
@@ -0,0 +1,1 @@
+link def_benj_earth/z2sig.def
Index: trunk/LMDZ.GENERIC/deftank/edu/atlas.exe
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/atlas.exe	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/atlas.exe	(revision 1322)
@@ -0,0 +1,18 @@
+#! /usr/bin/env python
+from ppclass import pp
+
+fi="resultat.nc"
+
+t = pp(var="tsurf",file =fi,x="-180,180",y=[-80,-60,-20,0],superpose=True,quiet=True,ylabel=r'surface temperature ($^{\circ}$C)').get()-273.15
+t.plot()
+
+p = pp(var="ISR",file=fi,x="-180,180",quiet=True).getplot(extraplot=3)
+p2 = pp(var="ASR",file=fi,x="-180,180",plotin=p,quiet=True).getplot()
+p2 = pp(var="OLR",file=fi,x="-180,180",plotin=p,quiet=True).getplot()
+p2 = pp(var="tsurf",file =fi,x="-180,180",plotin=p,quiet=True,units=r'$^{\circ}$C').get()-273.15
+p2.vmin = -90. ; p2.vmax = 30. ; p2.div = 12 ; p2.plot()
+
+q = pp(var="temp",file=fi,x=0,t=360+90,quiet=True,logy=True).getplot(extraplot=1)
+q2 = pp(var="temp",file=fi,x=0,t=360+270,plotin=q,quiet=True,logy=True).getplot()
+
+#u'zdtsw', u'zdtlw', u'dtrad', u'h2o_ice', u'h2o_ice_surf', u'h2o_ice_col', u'tau_col', u'h2o_vap', u'h2o_vap_surf', u'h2o_vap_col'
Index: trunk/LMDZ.GENERIC/deftank/edu/install.exe
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/install.exe	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/install.exe	(revision 1322)
@@ -0,0 +1,81 @@
+#! /bin/bash
+# 03/08/2014 -- A. Spiga
+# install the generic model 
+# with gfortran on Linux env
+# for teaching purposes
+
+ini=$PWD
+mod=$ini/MODELES
+net=$mod/LMDZ.COMMON/netcdf/gfortran_netcdf-4.0.1
+log=$mod/install.log
+\rm $log > /dev/null 2> /dev/null
+touch $log
+
+###
+echo "1. communicate with server"
+cd $ini
+rm -rf $mod
+svn co -N http://svn.lmd.jussieu.fr/Planeto/trunk $mod >> $log 2>&1
+
+###
+echo "2. get model code (please wait)"
+cd $mod
+svn update -r 1321 LMDZ.GENERIC LMDZ.COMMON UTIL >> $log 2>&1
+cd $mod/LMDZ.COMMON/libf
+ln -sf $mod/LMDZ.GENERIC/libf/phystd phygeneric
+
+###
+echo "3. get and compile netCDF librairies (please wait)"
+cd $ini
+ze_netcdf=netcdf-4.0.1
+wget ftp://ftp.unidata.ucar.edu/pub/netcdf/$ze_netcdf.tar.gz -a $log
+tar xzvf $ze_netcdf.tar.gz >> $log 2>&1
+\rm $ze_netcdf.tar.gz
+export FC=gfortran 
+export FFLAGS=" -O2"
+export F90=gfortran 
+export FCFLAGS="-O2 -ffree-form"
+export CPPFLAGS="" 
+export CC=gcc
+export CFLAGS="-O2"
+export CXX=g++
+export CXXFLAGS="-O2"
+cd $ze_netcdf 
+PREFIX=$PWD
+./configure --prefix=${PREFIX} >> $log 2>&1  #--disable-cxx
+make >> $log 2>&1
+make test >> $log 2>&1
+make install >> $log 2>&1
+cd ..
+mkdir $ini/MODELES/LMDZ.COMMON/netcdf
+mv $ze_netcdf $net
+
+###
+echo "4. get and compile IOIPSL librairies (please wait)"
+cd $mod/LMDZ.COMMON/ioipsl
+./install_ioipsl_gfortran.bash >> $log 2>&1
+
+###
+echo "5. customize arch files"
+cd $mod/LMDZ.COMMON/arch
+cp arch-gfortran.fcm arch-gfortran_mod.fcm
+sed s+"/home/aymeric/Science/MODELES"+$mod+g arch-gfortran.path > arch-gfortran_mod.path
+
+###
+echo "6. compile the model fully at least once (please wait)"
+cd $mod/LMDZ.COMMON
+makelmdz -full -cpp NODYN -d 8x8x8 -b 2x2 -t 3 -s 1 -p generic -arch gfortran_mod gcm >> $log 2>&1
+
+###
+echo "7. compile the program for initial condition at least once (please wait)"
+cd $mod/LMDZ.GENERIC
+sed s+"/donnees/emlmd/netcdf64-4.0.1_gfortran"+$net+g makegcm_gfortran > makegcm_gfortran_local
+chmod 755 makegcm_gfortran_local
+makegcm_gfortran_local -d 8x8x8 -debug newstart >> $log 2>&1
+
+###
+echo "8. get radiative transfer precalculated tables"
+cd $ini/RUN
+wget http://www.spiga.fr/edu/DATAGENERIC.tar.gz -a $log
+tar xzvf DATAGENERIC.tar.gz
+rm -rf DATAGENERIC.tar.gz
Index: trunk/LMDZ.GENERIC/deftank/edu/reglages_init.txt
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/reglages_init.txt	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/reglages_init.txt	(revision 1322)
@@ -0,0 +1,1 @@
+link INIT/planet_start
Index: trunk/LMDZ.GENERIC/deftank/edu/reglages_run.txt
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/reglages_run.txt	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/reglages_run.txt	(revision 1322)
@@ -0,0 +1,1 @@
+link RUN/etu.def
Index: trunk/LMDZ.GENERIC/deftank/edu/run.exe
===================================================================
--- trunk/LMDZ.GENERIC/deftank/edu/run.exe	(revision 1322)
+++ trunk/LMDZ.GENERIC/deftank/edu/run.exe	(revision 1322)
@@ -0,0 +1,43 @@
+#! /bin/bash
+
+######
+nx=8
+ny=8
+nz=16
+tr=7
+######
+
+thisfolder=$PWD
+wheresource=$PWD/MODELES/
+b1=32
+b2=36
+b1=3 # recompile with full if you changed this
+b2=2 # recompile with full if you changed this
+
+echo "*** COMPILATION GCM ***"
+cd $wheresource/LMDZ.COMMON ; \rm gcm.e
+makelmdz -cpp NODYN -d $nx"x"$ny"x"$nz -b $b1"x"$b2 -t $tr -s 1 -p generic -arch gfortran gcm > logcompilegcm 2> logcompilegcm
+if [[ ! -f gcm.e ]] ; then 
+  echo "Il y a eu un probleme. Voir : " $PWD/logcompilegcm ; exit
+fi
+
+echo "*** COMPILATION NEWSTART ***"
+cd $wheresource/LMDZ.GENERIC ; \rm newstart.e
+makegcm_gfortran_local -d $nx"x"$ny"x"$nz -debug newstart > logcompilerestart 2> logcompilerestart
+if [[ ! -f newstart.e ]] ; then 
+  echo "Il y a eu un probleme. Voir : " $PWD/logcompilenewstart ; exit
+fi
+
+echo "*** INITIALISATION ***"
+cd $thisfolder/INIT ; \rm restartfi.nc restart.nc > /dev/null 2> /dev/null
+./newstart.e < planet_start > log_newstart 2> log_newstart
+if [[ ! -f restart.nc ]] ; then
+  echo "Il y a eu un probleme. Voir : " $PWD/log_newstart ; exit 
+fi
+
+echo "*** SIMULATION ***"
+cd $thisfolder/RUN ; \rm resultat.nc > /dev/null 2> /dev/null
+time gcm.e | tee log_gcm | grep "Ls ="
+mv diagfi.nc ../resultat.nc
+
+echo "*** FIN ***"
